{
  "openapi" : "3.0.3",
  "info" : {
    "description" : "The payment initiation API is used by an initiating party to a debtor agent to provide a payment instruction to request movement of funds from the debtor account to a creditor account. The direct debit instruction is used by a creditor to request movement of funds from the debtor account to creditor account.\n\n`The API supports following functionalities:`\n\n  * Credit Transfer Payment Initiation\n  * Direct Debit Initiation\n\n### Usage\n\nThe payment initiation instruction contains customer credit transfer instructions. The API is used to exchange:\n* A single instance of a credit transfer initiation\n* Payment instructions that result in book transfers at the debtor agent or payments to another financial institution\n* Payment instructions that result in an electronic cash transfer to the creditor account\n* A single instance of a direct debit collection initiation\n\n`Error Responses`\n\nThe API uses common HTTP status codes in the response header to indicate success or failure. Specific error code and description will be returned in the custom error schema.\n\n`Query Parameters`\n\nEach URL query parameter specifies an API query parameter that must be URL encoded.\n",
    "version" : "0.0.8",
    "title" : "Payment Initiation API",
    "contact" : {
      "name" : "Developer Hub",
      "url" : "https://developer.swift.com",
      "email" : "developer-support@swift.com"
    },
    "license" : {
      "name" : "API Restricted License",
      "url" : "https://developer.swift.com/api-license"
    }
  },
  "servers" : [ {
    "description" : "SwaggerHub API Auto Mocking",
    "url" : "https://virtserver.swaggerhub.com/SWIFT-API/PaymentInitiation/0.0.8"
  }, {
    "description" : "URL for Apigee (SDK consumer) Pilot.",
    "url" : "https://api-test.swiftnet.sipn.swift.com/swift-payment-initiation-pilot/v1"
  }, {
    "description" : "URL for Apigee (SDK consumer) Live.",
    "url" : "https://api.swiftnet.sipn.swift.com/swift-payment-initiation/v1"
  }, {
    "description" : "URL for Sandbox Environment.",
    "url" : "https://sandbox.swift.com/swift-payment-initiation/v1"
  } ],
  "security" : [ {
    "oauthBearerToken" : [ ]
  }, {
    "oAuth2" : [ ]
  } ],
  "tags" : [ {
    "name" : "Payment Initiation"
  } ],
  "paths" : {
    "/payment-initiation-instructions" : {
      "get" : {
        "tags" : [ "Payment Initiation" ],
        "summary" : "Get Payment Initiation Instructions.",
        "description" : "Get all payment initiation instructions allows to retrieve all customer credit transfer initiations. If the number of results exceeds the default limit, the response will be paginated. The operation allows filtering the results based on the creation from date and creation to date. The result is filtered based on \"creation_date_time\". The endpoint will return an empty array when no resource is found.\n",
        "operationId" : "getPaymentInitiationInstructionSummary",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-ServiceProvider"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/end-to-end-identification"
        }, {
          "$ref" : "#/components/parameters/creation-from-date"
        }, {
          "$ref" : "#/components/parameters/creation-to-date"
        }, {
          "$ref" : "#/components/parameters/requested-execution-date"
        }, {
          "$ref" : "#/components/parameters/instructed-amount"
        }, {
          "$ref" : "#/components/parameters/pagination-offset"
        }, {
          "$ref" : "#/components/parameters/pagination-limit"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object",
                  "additionalProperties" : false,
                  "properties" : {
                    "payment_initiation_instruction" : {
                      "type" : "array",
                      "items" : {
                        "$ref" : "#/components/schemas/PaymentInitiationInstructionSummary"
                      }
                    },
                    "links" : {
                      "type" : "array",
                      "items" : {
                        "$ref" : "#/components/schemas/Link"
                      }
                    }
                  }
                },
                "examples" : {
                  "Example-1" : {
                    "$ref" : "#/components/examples/GETPaymentInitiationResponseCollection"
                  },
                  "Example-0" : {
                    "$ref" : "#/components/examples/GETPaymentInitiationsResponseCollection-Raw"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "413" : {
            "$ref" : "#/components/responses/414-URITooLong"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/payment-initiation-instructions/{uetr}" : {
      "put" : {
        "tags" : [ "Payment Initiation" ],
        "summary" : "Create Payment Initiation Instruction.",
        "description" : "Create a payment initiation instruction. The identifier of the instruction is \"uetr\". The request accept an instruction which will be validated and created. On successful creation, the instruction can be retrieved using the \"uetr\". The method is use to create a payment instruction as the consumer will supply the resource identifier (uetr) and the method is idempotent. This operation only supports creation of resource. The operation cannot be used to replace the resource once the resource is created.\n",
        "operationId" : "createPaymentInitiationInstruction",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-SWIFT-Signature"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-ServiceProvider"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/uetr"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/PaymentInitiationInstruction"
              },
              "examples" : {
                "Example-1" : {
                  "$ref" : "#/components/examples/PaymentInitiationRequest-TreasuryPayment"
                },
                "Example-2" : {
                  "$ref" : "#/components/examples/PaymentInitiationRequest-IBAN"
                },
                "Example-3" : {
                  "$ref" : "#/components/examples/PaymentInitiationRequest-Proprietary"
                },
                "Example-4" : {
                  "$ref" : "#/components/examples/PaymentInitiationRequest-Unstructured-Remittance"
                },
                "Example-5" : {
                  "$ref" : "#/components/examples/PaymentInitiationRequest-Clearing-System-Identification"
                },
                "Example-0" : {
                  "$ref" : "#/components/examples/PUTPaymentInitiationRequest-Raw"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      },
      "get" : {
        "tags" : [ "Payment Initiation" ],
        "summary" : "Get Payment Initiation Instruction.",
        "description" : "Use this operation to retrieve a payment initiation instruction by ID (UETR).",
        "operationId" : "getPaymentInitiationInstruction",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-ServiceProvider"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/uetr"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaymentInitiationInstruction"
                },
                "examples" : {
                  "Example-1" : {
                    "$ref" : "#/components/examples/PaymentInitiationResponse-TreasuryPayment"
                  },
                  "Example-2" : {
                    "$ref" : "#/components/examples/PaymentInitiationResponse-IBAN"
                  },
                  "Example-3" : {
                    "$ref" : "#/components/examples/PaymentInitiationResponse-Proprietary"
                  },
                  "Example-4" : {
                    "$ref" : "#/components/examples/PaymentInitiationResponse-Unstructured-Remittance"
                  },
                  "Example-5" : {
                    "$ref" : "#/components/examples/PaymentInitiationResponse-Clearing-System-Identification"
                  },
                  "Example-0" : {
                    "$ref" : "#/components/examples/GETPaymentInitiationResponse-Raw"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/direct-debit-initiation-instruction" : {
      "get" : {
        "tags" : [ "Payment Initiation" ],
        "summary" : "Get Direct Debit Initiation Instruction.",
        "description" : "Get all direct debit initiation instructions allows to retrieve all direct debit initiation instruction. If the number of results exceeds the default limit, the response will be paginated. The operation allows filtering the results based on the creation from date and creation to date. The result is filtered based on \"creation_date_time\". The endpoint will return an empty array when no resource is found.\n",
        "operationId" : "getDirectDebitInitiationInstructionSummary",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-ServiceProvider"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/end-to-end-identification"
        }, {
          "$ref" : "#/components/parameters/creation-from-date"
        }, {
          "$ref" : "#/components/parameters/creation-to-date"
        }, {
          "$ref" : "#/components/parameters/pagination-offset"
        }, {
          "$ref" : "#/components/parameters/pagination-limit"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "headers" : {
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            },
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object",
                  "additionalProperties" : false,
                  "properties" : {
                    "direct_debit_initiation_instruction" : {
                      "type" : "array",
                      "items" : {
                        "$ref" : "#/components/schemas/DirectDebitInitiationInstructionSummary"
                      }
                    },
                    "links" : {
                      "type" : "array",
                      "items" : {
                        "$ref" : "#/components/schemas/Link"
                      }
                    }
                  }
                },
                "examples" : {
                  "Example-1" : {
                    "$ref" : "#/components/examples/GETDirectDebitInitiationInstructionCollection"
                  },
                  "Example-0" : {
                    "$ref" : "#/components/examples/GETDirectDebitInitiationInstructionCollection-Raw"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "413" : {
            "$ref" : "#/components/responses/414-URITooLong"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    },
    "/direct-debit-initiation-instruction/{uetr}" : {
      "put" : {
        "tags" : [ "Payment Initiation" ],
        "summary" : "Create Direct Debit Initiation Instruction.",
        "description" : "Payment, initiated by the creditor, to debit a debtor's account in favour of the creditor. The  Direct Debit Initiation Instruction is sent by the Creditor sending party to the Debtor receiving party, directly or through agents. It is used by a Creditor to request funds from the debtor account to a creditor.\n",
        "operationId" : "createDirectDebitInitiationInstruction",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-SWIFT-Signature"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-ServiceProvider"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/uetr"
        } ],
        "requestBody" : {
          "required" : true,
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/DirectDebitInitiationInstruction"
              },
              "examples" : {
                "Example-1" : {
                  "$ref" : "#/components/examples/PUTDirectDebitInitiationInstruction"
                },
                "Example-0" : {
                  "$ref" : "#/components/examples/PUTDirectDebitInitiationInstruction-Raw"
                }
              }
            }
          }
        },
        "responses" : {
          "202" : {
            "description" : "Accepted",
            "headers" : {
              "Location" : {
                "$ref" : "#/components/headers/Location"
              },
              "X-Request-ID" : {
                "$ref" : "#/components/headers/X-Request-ID"
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      },
      "get" : {
        "tags" : [ "Payment Initiation" ],
        "summary" : "Get Direct Debit Initiation Instruction.",
        "description" : "Use this operation to retrieve a direct debit initiation instruction by ID (UETR).",
        "operationId" : "getDirectDebitInitiationInstruction",
        "parameters" : [ {
          "$ref" : "#/components/parameters/X-Request-ID"
        }, {
          "$ref" : "#/components/parameters/X-UserContext"
        }, {
          "$ref" : "#/components/parameters/X-ServiceProvider"
        }, {
          "$ref" : "#/components/parameters/X-BIC"
        }, {
          "$ref" : "#/components/parameters/uetr"
        } ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/DirectDebitInitiationInstruction"
                },
                "examples" : {
                  "Example-1" : {
                    "$ref" : "#/components/examples/GETDirectDebitInitiationInstruction"
                  },
                  "Example-0" : {
                    "$ref" : "#/components/examples/GETDirectDebitInitiationInstruction-Raw"
                  }
                }
              }
            }
          },
          "400" : {
            "$ref" : "#/components/responses/400-BadRequest"
          },
          "401" : {
            "$ref" : "#/components/responses/401-Unauthorized"
          },
          "403" : {
            "$ref" : "#/components/responses/403-Forbidden"
          },
          "404" : {
            "$ref" : "#/components/responses/404-NotFound"
          },
          "406" : {
            "$ref" : "#/components/responses/406-NotAcceptable"
          },
          "415" : {
            "$ref" : "#/components/responses/415-UnsupportedMediaType"
          },
          "429" : {
            "$ref" : "#/components/responses/429-TooManyRequests"
          },
          "500" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          },
          "502" : {
            "$ref" : "#/components/responses/502-BadGateway"
          },
          "503" : {
            "$ref" : "#/components/responses/503-ServiceUnavailable"
          },
          "504" : {
            "$ref" : "#/components/responses/504-GatewayTimeout"
          },
          "default" : {
            "$ref" : "#/components/responses/500-InternalServerError"
          }
        }
      }
    }
  },
  "components" : {
    "schemas" : {
      "AccountIdentificationChoice" : {
        "type" : "object",
        "title" : "AccountIdentification",
        "description" : "Specifies the unique identification of an account as assigned by the account servicer.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "title" : "AccountIdentificationIBAN",
          "properties" : {
            "iban" : {
              "x-MXComponent" : "IBAN2007Identifier",
              "x-Validation" : true,
              "x-ValidationType" : "Algorithmic",
              "x-Error" : "ErrorCode:Sw.Stds.D00003, ErrorText:Invalid IBAN format or invalid check digits., SWIFTNetValidation:true, Severity:Fatal",
              "description" : "International Bank Account Number (IBAN) - an identifier used internationally by financial institutions to uniquely identify the account of a customer. Further specifications of the format and content of the IBAN can be found in the standard ISO 13616 \"Banking and related financial services - International Bank Account Number (IBAN)\" version 1997-10-01, or later revisions.",
              "type" : "string",
              "pattern" : "^[A-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}$"
            }
          },
          "required" : [ "iban" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "title" : "AccountIdentificationOther",
          "properties" : {
            "other" : {
              "$ref" : "#/components/schemas/GenericIdentification"
            }
          },
          "required" : [ "other" ]
        } ]
      },
      "AmountOrRateChoice" : {
        "type" : "object",
        "description" : "Choice between an amount or a rate.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "amount" : {
              "$ref" : "#/components/schemas/CurrencyAmount"
            }
          },
          "required" : [ "amount" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "rate" : {
              "$ref" : "#/components/schemas/PercentageRate"
            }
          },
          "required" : [ "rate" ]
        } ]
      },
      "AmountTypeChoice" : {
        "type" : "object",
        "description" : "Specifies the amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "instructed_amount" : {
              "$ref" : "#/components/schemas/CurrencyAmount"
            }
          },
          "required" : [ "instructed_amount" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "equivalent_amount" : {
              "$ref" : "#/components/schemas/EquivalentAmount"
            }
          },
          "required" : [ "equivalent_amount" ]
        } ]
      },
      "BaseOneRate" : {
        "type" : "string",
        "description" : "Rate expressed as a decimal, for example, 0.7 is 7/10 and 70%.",
        "maxLength" : 12
      },
      "CashAccount" : {
        "type" : "object",
        "description" : "Provides the details to identify an account.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "$ref" : "#/components/schemas/AccountIdentificationChoice"
          },
          "type" : {
            "$ref" : "#/components/schemas/CashAccountTypeChoice"
          },
          "currency" : {
            "x-MXComponent" : "ActiveOrHistoricCurrencyCode",
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00006, ErrorText:Invalid currency code., SWIFTNetValidation:true, Severity:Fatal",
            "type" : "string",
            "pattern" : "^[A-Z]{3,3}$",
            "description" : "Identification of the currency in which the account is held. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 \"Codes for the representation of currencies and funds\".\n\nUsage: Currency should only be used in case one and the same account number covers several currencies and the initiating party needs to identify which currency needs to be used for settlement on the account.\n"
          },
          "name" : {
            "description" : "Name of the account, as assigned by the account servicing institution, in agreement with the account owner in order to provide an additional means of identification of the account.  \nUsage: The account name is different from the account owner name. The account name is used in certain user communities to provide a means of identifying the account, in addition to the account owner's identity and the account number.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 70
          },
          "alternate_identification" : {
            "$ref" : "#/components/schemas/GenericIdentification"
          }
        },
        "required" : [ "identification" ]
      },
      "CashAccountTypeChoice" : {
        "type" : "object",
        "description" : "Nature or use of the account.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "x-MXComponent" : "ExternalCashAccountType1Code",
              "description" : "Account type, in a coded form. Specifies the nature, or use, of the cash account in the format of character string with a maximum length of 4 characters. The list of valid codes is an external code list published separately. External code sets can be downloaded from www.iso20022.org.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 4
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "description" : "Nature or use of the account in a proprietary form.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "ChargeBearerTypeCode" : {
        "type" : "string",
        "description" : "Specifies which party(ies) will pay charges due for processing of the instruction.\n*`DEBT`-All transaction charges are to be borne by the debtor.\n*`CRED`-All transaction charges are to be borne by the creditor.\n*`SHAR`-In a credit transfer context, means that transaction charges on the sender side are to be borne by the debtor, transaction charges on the receiver side are to be borne by the creditor. In a direct debit context, means that transaction charges on the sender side are to be borne by the creditor, transaction charges on the receiver side are to be borne by the debtor.\n*`SLEV`-Charges are to be applied following the rules agreed in the service level and/or scheme.",
        "enum" : [ "DEBT", "CRED", "SHAR", "SLEV" ]
      },
      "ClearingSystemIdentificationChoice" : {
        "type" : "object",
        "description" : "Choice of a clearing system identifier.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "x-MXComponent" : "ExternalClearingSystemIdentification1Code",
              "description" : "Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org..",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 5
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "description" : "Identification code for a clearing system, that has not yet been identified in the list of clearing systems.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "ClearingSystemMemberIdentification" : {
        "type" : "object",
        "description" : "Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.",
        "additionalProperties" : false,
        "properties" : {
          "clearing_system_identification" : {
            "$ref" : "#/components/schemas/ClearingSystemIdentificationChoice"
          },
          "member_identification" : {
            "description" : "Identification of a member of a clearing system.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "member_identification" ]
      },
      "CodeOrProprietaryChoice" : {
        "type" : "object",
        "description" : "Specifies the option of either code or a proprietary value.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "x-MXComponent" : "ExternalServiceLevel1Code",
              "description" : "Specifies the nature, or use, of the amount in the format of character string with a maximum length of 4 characters. The list of valid codes is an external code list published separately. External code sets can be downloaded from www.iso20022.org.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 4
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "description" : "Specifies a pre-agreed proprietary code when ISO external code is not available.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "CreditorReferenceDocumentTypeCode" : {
        "type" : "string",
        "description" : "Specifies a type of financial or commercial document.\n*`RADM`-Document is a remittance advice sent separately from the current transaction.\n*`RPIN`-Document is a linked payment instruction to which the current payment instruction is related, for example, in a cover scenario.\n*`FXDR`-Document is a pre-agreed or pre-arranged foreign exchange transaction to which the payment transaction refers.\n*`DISP`-Document is a dispatch advice.\n*`PUOR`-Document is a purchase order.\n*`SCOR`-Document is a structured communication reference provided by the creditor to identify the referred transaction.",
        "enum" : [ "RADM", "RPIN", "FXDR", "DISP", "PUOR", "SCOR" ]
      },
      "CurrencyAmount" : {
        "type" : "object",
        "description" : "Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party.",
        "additionalProperties" : false,
        "properties" : {
          "currency_code" : {
            "x-MXComponent" : "ActiveOrHistoricCurrencyCode",
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00006, ErrorText:Invalid currency code., SWIFTNetValidation:true, Severity:Fatal",
            "description" : "ISO three character currency code.  The Currency Code must be registered, or have already been registered. Valid active or historic currency codes are registered with the ISO 4217 Maintenance Agency, consist of three (3) contiguous letters, and may be or not be withdrawn on the day the message containing the Currency is exchanged.",
            "type" : "string",
            "pattern" : "^[A-Z]{3,3}$"
          },
          "amount" : {
            "x-MXComponent" : "ActiveOrHistoricCurrencyAndAmount",
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic",
            "x-Error" : "ErrorCode:Sw.Stds.D00007, ErrorText:Too many decimal digits., SWIFTNetValidation:true  Severity:Fatal",
            "description" : "The amount with fractional digit.  The number of fractional digits (or minor unit of currency) must comply with ISO 4217. Note: The decimal separator is a dot.\nUsage:\n  minInclusive: 0\n  totalDigits: 18\n  fractionDigits: 5\n",
            "type" : "string",
            "maxLength" : 19,
            "pattern" : "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
          }
        },
        "required" : [ "currency_code", "amount" ]
      },
      "DateAndPlaceOfBirth" : {
        "type" : "object",
        "description" : "Date and place of birth of a person.",
        "additionalProperties" : false,
        "properties" : {
          "birth_date" : {
            "$ref" : "#/components/schemas/ISODate"
          },
          "province_of_birth" : {
            "description" : "Province where a person was born.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "city_of_birth" : {
            "description" : "City where a person was born.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "country_of_birth" : {
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
            "description" : "Country where a person was born.",
            "type" : "string",
            "pattern" : "^[A-Z]{2,2}$"
          }
        },
        "required" : [ "birth_date", "city_of_birth", "country_of_birth" ]
      },
      "DirectDebitInitiationInstruction" : {
        "type" : "object",
        "description" : "Payment, initiated by the creditor, to debit a debtor's account in favour of the creditor. The  Direct Debit Initiation Instruction is sent by the Creditor sending party to the Debtor receiving party, directly or through agents. It is used by a Creditor to request funds from the debtor account to a creditor.\n\nA direct debit can be pre-authorised or not. In most countries, authorisation is in the form of a mandate between the debtor and creditor.\n",
        "additionalProperties" : false,
        "properties" : {
          "uetr" : {
            "description" : "Unique end to end transaction reference of a payment. The type is Universally Unique Identifier (UUID) version 4, as described in IETC RFC 4122 \"Universally Unique Identifier (UUID) URN Namespace\".\n",
            "readOnly" : true,
            "type" : "string",
            "format" : "uuid"
          },
          "end_to_end_identification" : {
            "description" : "Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain. Usage: The end-to-end identification can be used for reconciliation or to link tasks relating to the transaction. It can be included in several messages related to the transaction. Usage: This is the former related reference.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "creation_date_time" : {
            "$ref" : "#/components/schemas/ISODateTime"
          },
          "payment_instructionlifecycle_status" : {
            "type" : "string",
            "description" : "Specifies the state of a Payment Instruction in its processing cycle.\n\n*`ACCC`-Settlement on the creditor's account has been completed.\n*`ACCP`-Preceding check of technical validation was successful. Customer profile check was also successful.\n*`ACSC`-Settlement has been completed.\n*`ACSP`-All preceding checks such as technical validation and customer profile were successful and therefore the payment initiation has been accepted for execution.\n*`ACTC`-Authentication and syntactical and semantical validation are successful\n*`ACWC`-Instruction is accepted but a change will be made, such as date or remittance not sent.\n*`ACWP`-Payment instruction included in the credit transfer is accepted without being posted to the creditor customer’s account.\n*`PDNG`-Payment initiation is pending. Further checks and status update will be performed.\n*`RCVD`-Payment initiation has been received by the receiving agent.\n*`RJCT`-Payment initiation has been rejected.\n",
            "readOnly" : true,
            "enum" : [ "ACCC", "ACCP", "ACSC", "ACSP", "ACTC", "ACWC", "ACWP", "PDNG", "RCVD", "RJCT" ]
          },
          "status_reason" : {
            "readOnly" : true,
            "$ref" : "#/components/schemas/ExternalStatusReasonCode"
          },
          "sequence_type" : {
            "$ref" : "#/components/schemas/SequenceTypeCode"
          },
          "requested_collection_date" : {
            "$ref" : "#/components/schemas/ISODate"
          },
          "initiating_party" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "debtor_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "debtor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "debtor_agent" : {
            "$ref" : "#/components/schemas/FinancialInstitutionIdentification"
          },
          "instructed_amount" : {
            "x-MXComponent" : "ActiveOrHistoricCurrencyAndAmount",
            "$ref" : "#/components/schemas/CurrencyAmount"
          },
          "creditor_agent" : {
            "$ref" : "#/components/schemas/FinancialInstitutionIdentification"
          },
          "creditor_agent_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "creditor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "creditor_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "purpose" : {
            "x-MXComponent" : "ExternalPurpose1Code",
            "description" : "Underlying reason for the payment transaction. Usage: Purpose is used by the end-customers, that is initiating party, (ultimate) debtor, (ultimate) creditor to provide information concerning the nature of the payment. Purpose is a content element, which is not used for processing by any of the agents involved in the payment chain.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "mandate_information" : {
            "$ref" : "#/components/schemas/MandateInformation"
          }
        },
        "required" : [ "end_to_end_identification", "creation_date_time", "requested_collection_date", "debtor_account", "debtor", "debtor_agent", "instructed_amount", "creditor_account", "mandate_information" ]
      },
      "DirectDebitInitiationInstructionSummary" : {
        "type" : "object",
        "description" : "Payment, initiated by the creditor, to debit a debtor's account in favour of the creditor. The  Direct Debit Initiation Instruction is sent by the Creditor sending party to the Debtor receiving party, directly or through agents. It is used by a Creditor to request funds from the debtor account to a creditor. A direct debit can be pre-authorised or not. In most countries, authorisation is in the form of a mandate between the debtor and creditor.",
        "additionalProperties" : false,
        "properties" : {
          "uetr" : {
            "description" : "Unique end to end transaction reference of a payment. The type is Universally Unique Identifier (UUID) version 4, as described in IETC RFC 4122 \"Universally Unique Identifier (UUID) URN Namespace\".\n",
            "readOnly" : true,
            "type" : "string",
            "format" : "uuid"
          },
          "end_to_end_identification" : {
            "description" : "Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain. Usage: The end-to-end identification can be used for reconciliation or to link tasks relating to the transaction. It can be included in several messages related to the transaction. Usage: This is the former related reference.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "creation_date_time" : {
            "$ref" : "#/components/schemas/ISODateTime"
          },
          "payment_instructionlifecycle_status" : {
            "type" : "string",
            "description" : "Specifies the state of a Payment Instruction in its processing cycle.\n\n*`ACCC`-Settlement on the creditor's account has been completed.\n*`ACCP`-Preceding check of technical validation was successful. Customer profile check was also successful.\n*`ACSC`-Settlement has been completed.\n*`ACSP`-All preceding checks such as technical validation and customer profile were successful and therefore the payment initiation has been accepted for execution.\n*`ACTC`-Authentication and syntactical and semantical validation are successful\n*`ACWC`-Instruction is accepted but a change will be made, such as date or remittance not sent.\n*`ACWP`-Payment instruction included in the credit transfer is accepted without being posted to the creditor customer’s account.\n*`PDNG`-Payment initiation is pending. Further checks and status update will be performed.\n*`RCVD`-Payment initiation has been received by the receiving agent.\n*`RJCT`-Payment initiation has been rejected.\n",
            "readOnly" : true,
            "enum" : [ "ACCC", "ACCP", "ACSC", "ACSP", "ACTC", "ACWC", "ACWP", "PDNG", "RCVD", "RJCT" ]
          },
          "sequence_type" : {
            "$ref" : "#/components/schemas/SequenceTypeCode"
          },
          "category_purpose" : {
            "x-MXComponent" : "ExternalCategoryPurpose1Code",
            "description" : "Specifies the high level purpose of the instruction based on a set of pre-defined categories.  Usage: This is used by the initiating party to provide information concerning the processing of the payment. It is likely to trigger special processing by any of the agents involved in the payment chain.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "requested_collection_date" : {
            "$ref" : "#/components/schemas/ISODate"
          },
          "payment_condition" : {
            "$ref" : "#/components/schemas/PaymentCondition"
          },
          "initiating_party" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "debtor_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "debtor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "debtor_agent" : {
            "$ref" : "#/components/schemas/FinancialInstitutionIdentification"
          },
          "instructed_amount" : {
            "$ref" : "#/components/schemas/CurrencyAmount"
          },
          "creditor_agent" : {
            "$ref" : "#/components/schemas/FinancialInstitutionIdentification"
          },
          "creditor_agent_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "creditor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "creditor_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "purpose" : {
            "x-MXComponent" : "ExternalPurpose1Code",
            "description" : "Underlying reason for the payment transaction. Usage: Purpose is used by the end-customers, that is initiating party, (ultimate) debtor, (ultimate) creditor to provide information concerning the nature of the payment. Purpose is a content element, which is not used for processing by any of the agents involved in the payment chain.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "mandate_information" : {
            "$ref" : "#/components/schemas/MandateInformation"
          }
        },
        "required" : [ "end_to_end_identification", "creation_date_time", "requested_collection_date", "debtor_account", "debtor", "debtor_agent", "instructed_amount", "creditor_account", "mandate_information" ]
      },
      "DocumentTypeCode" : {
        "type" : "string",
        "description" : "Specifies a type of financial or commercial document.\n*`MSIN`-Document is an invoice claiming payment for the supply of metered services, for example gas or electricity supplied to a fixed meter.\n*`CNFA`-Document is a credit note for the final amount settled for a commercial transaction.\n*`DNFA`-Document is a debit note for the final amount settled for a commercial transaction.\n*`CINV`-Document is an invoice.\n*`CREN`-Document is a credit note.\n*`DEBN`-Document is a debit note.\n*`HIRI`-Document is an invoice for the hiring of human resources or renting goods or equipment.\n*`SBIN`-Document is an invoice issued by the debtor.\n*`RADM`-Document is a remittance advice sent separately from the current transaction.\n*`RPIN`-Document is a linked payment instruction to which the current payment instruction is related, for example, in a cover scenario.\n*`CMCN`-Document is an agreement between the parties, stipulating the terms and conditions of the delivery of goods or services.\n*`FXDR`-Document is a pre-agreed or pre-arranged foreign exchange transaction to which the payment transaction refers.\n*`SOAC`-Document is a statement of the transactions posted to the debtor's account at the supplier.\n*`DISP`-Document is a dispatch advice.\n*`PUOR`-Document is a purchase order.\n*`SCOR`-Document is a structured communication reference provided by the creditor to identify the referred transaction.\n*`BOLD`-Document is a shipping notice.\n*`VCHR`-Document is an electronic payment document.\n*`AROI`-Document is a payment that applies to a specific source document.\n*`TSUT`-Document is a transaction identifier as assigned by the Trade Services Utility.",
        "enum" : [ "MSIN", "CNFA", "DNFA", "CINV", "CREN", "DEBN", "HIRI", "SBIN", "RADM", "RPIN", "CMCN", "FXDR", "SOAC", "DISP", "PUOR", "SCOR", "BOLD", "VCHR", "AROI", "TSUT" ]
      },
      "EquivalentAmount" : {
        "type" : "object",
        "description" : "Amount of money to be moved between the debtor and creditor, expressed in the currency of the debtor's account, and the currency in which the amount is to be moved.",
        "additionalProperties" : false,
        "properties" : {
          "amount" : {
            "x-MXComponent" : "ActiveOrHistoricCurrencyAndAmount",
            "$ref" : "#/components/schemas/CurrencyAmount"
          },
          "currency_of_transfer" : {
            "x-MXComponent" : "ActiveOrHistoricCurrencyCode",
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00006, ErrorText:Invalid currency code., SWIFTNetValidation:true, Severity:Fatal",
            "description" : "Specifies the currency of the to be transferred amount, which is different from the currency of the debtor's account.",
            "type" : "string",
            "pattern" : "^[A-Z]{3,3}$"
          }
        },
        "required" : [ "amount", "currency_of_transfer" ]
      },
      "ExchangeRate" : {
        "type" : "object",
        "description" : "Provides details on the currency exchange rate and contract.",
        "additionalProperties" : false,
        "properties" : {
          "unit_currency" : {
            "description" : "Currency in which the rate of exchange is expressed in a currency exchange.",
            "type" : "string",
            "pattern" : "^[A-Z]{3,3}$"
          },
          "exchange_rate" : {
            "$ref" : "#/components/schemas/BaseOneRate"
          },
          "rate_type" : {
            "$ref" : "#/components/schemas/ExchangeRateTypeCode"
          },
          "contract_identification" : {
            "description" : "Unique and unambiguous reference to the foreign exchange contract agreed between the initiating party/creditor and the debtor agent.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "unit_currency" ]
      },
      "ExchangeRateTypeCode" : {
        "type" : "string",
        "description" : "Code used to define the type of the currency exchange.\n*`SPOT`-Exchange rate applied is the spot rate.\n*`SALE`-Exchange rate applied is the market rate at the time of the sale.\n*`AGRD`-Exchange rate applied is the rate agreed between the parties.",
        "enum" : [ "SPOT", "SALE", "AGRD" ]
      },
      "ExternalStatusReasonCode" : {
        "type" : "string",
        "minLength" : 1,
        "maxLength" : 4,
        "description" : "Specifies the status reason, as published in an external status reason code list. External code sets can be downloaded from www.iso20022.org.",
        "x-MXComponent" : "ExternalStatusReason1Code"
      },
      "FinancialInstitutionIdentification" : {
        "type" : "object",
        "description" : "Specifies the details to identify a financial institution.",
        "additionalProperties" : false,
        "properties" : {
          "bicfi" : {
            "x-MXComponent" : "BICFIDec2014Identifier",
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic",
            "x-Error" : "ErrorCode:Sw.Stds.D00008, ErrorText:Invalid BIC., SWIFTNetValidation:true  Severity:Fatal",
            "description" : "Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 \"Banking - Banking telecommunication messages - Business identifier code (BIC)\".",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$"
          },
          "clearing_system_member_identification" : {
            "$ref" : "#/components/schemas/ClearingSystemMemberIdentification"
          },
          "lei" : {
            "x-MXComponent" : "LEIIdentifier",
            "description" : "Legal entity identifier of the financial institution. Legal Entity Identifier is a code allocated to a party as described in ISO 17442 \"Financial Services - Legal Entity Identifier (LEI)\".",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{18,18}[0-9]{2,2}$"
          },
          "name" : {
            "description" : "Name by which an agent is known and which is usually used to identify that agent.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 140
          },
          "postal_address" : {
            "$ref" : "#/components/schemas/PostalAddressChoice"
          },
          "other" : {
            "$ref" : "#/components/schemas/GenericIdentification"
          }
        }
      },
      "GenericIdentification" : {
        "type" : "object",
        "description" : "Information related to an identification, for example, party identification or account identification.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "description" : "Proprietary information, often a code, issued by the data source scheme issuer.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "scheme_name" : {
            "description" : "Short textual description of the scheme.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "issuer" : {
            "description" : "Entity that assigns the identification.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "identification" ]
      },
      "GenericOrganisationIdentification" : {
        "type" : "object",
        "description" : "Information related to an identification of an organisation.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "description" : "Identification assigned by an institution.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "scheme_name" : {
            "$ref" : "#/components/schemas/OrganisationIdentificationSchemeNameChoice"
          },
          "issuer" : {
            "description" : "Entity that assigns the identification.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "identification" ]
      },
      "GenericPersonIdentification" : {
        "type" : "object",
        "description" : "Information related to an identification of a person.",
        "additionalProperties" : false,
        "properties" : {
          "identification" : {
            "description" : "Unique and unambiguous identification of a person.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "scheme_name" : {
            "$ref" : "#/components/schemas/PersonIdentificationSchemeNameChoice"
          },
          "issuer" : {
            "description" : "Entity that assigns the identification.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        },
        "required" : [ "identification" ]
      },
      "ISODate" : {
        "type" : "string",
        "description" : "A particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format.",
        "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
      },
      "ISODateTime" : {
        "type" : "string",
        "description" : "A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss).\nNote on the time format:\n1) beginning / end of calendar day\n00:00:00 = the beginning of a calendar day\n24:00:00 = the end of a calendar day\n2) fractions of second in time format\nDecimal fractions of seconds may be included. In this case, the involved parties shall agree on the maximum number of digits that are allowed.",
        "pattern" : "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)T(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.[0-9]+)?(?:Z|[+-][01]\\d:[0-5]\\d)?$"
      },
      "MandateInformation" : {
        "type" : "object",
        "description" : "Provides further details related to a direct debit mandate signed between the creditor and the debtor.",
        "additionalProperties" : false,
        "properties" : {
          "mandate_identification" : {
            "description" : "Unique and unambiguous identification of the mandate. This id is used to verify that the requester has authorisation to request payment. This is to ensure that the request is being sent as a result of preauthorisation so that the involved parties know to check/validate the preauthorisation is valid for the request.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "date_of_signature" : {
            "$ref" : "#/components/schemas/ISODate"
          }
        },
        "required" : [ "mandate_identification" ]
      },
      "OrganisationIdentification" : {
        "type" : "object",
        "description" : "Unique and unambiguous way to identify an organisation.",
        "additionalProperties" : false,
        "properties" : {
          "bic" : {
            "x-MXComponent" : "AnyBICDec2014Identifier",
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic",
            "x-Error" : "ErrorCode:Sw.Stds.D00008, ErrorText:Invalid BIC., SWIFTNetValidation:true  Severity:Fatal",
            "description" : "Business identification code of the organisation. Code allocated to a financial or non-financial institution by the ISO 9362 Registration Authority, as described in ISO 9362: 2014 - \"Banking - Banking telecommunication messages - Business identifier code (BIC)\".\n",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$"
          },
          "lei" : {
            "x-MXComponent" : "LEIIdentifier",
            "description" : "Legal entity identification as an alternate identification for a party.",
            "type" : "string",
            "pattern" : "^[A-Z0-9]{18,18}[0-9]{2,2}$"
          },
          "other" : {
            "type" : "array",
            "maxItems" : 2,
            "items" : {
              "$ref" : "#/components/schemas/GenericOrganisationIdentification"
            }
          }
        }
      },
      "OrganisationIdentificationSchemeNameChoice" : {
        "type" : "object",
        "description" : "Sets of elements to identify a name of the organisation identification scheme.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "x-MXComponent" : "ExternalOrganisationIdentification1Code",
              "description" : "Specifies the external organisation identification scheme name code in the format of character string with a maximum length of 4 characters. The list of valid codes is an external code list published separately. External code sets can be downloaded from www.iso20022.org.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 4
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "description" : "Name of the identification scheme, in a free text form.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "PartyIdentification" : {
        "type" : "object",
        "description" : "Specifies the identification of a person or an organisation.",
        "additionalProperties" : false,
        "properties" : {
          "name" : {
            "description" : "Name by which a party is known and which is usually used to identify that party.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 140
          },
          "postal_address" : {
            "$ref" : "#/components/schemas/PostalAddressChoice"
          },
          "identification" : {
            "$ref" : "#/components/schemas/PartyIdentificationChoice"
          },
          "country_of_residence" : {
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
            "description" : "Country in which a person resides (the place of a person's home). In the case of a company, it is the country from which the affairs of that company are directed.",
            "type" : "string",
            "pattern" : "^[A-Z]{2,2}$"
          }
        }
      },
      "PartyIdentificationChoice" : {
        "type" : "object",
        "description" : "Identify the type of party identification as either organisation identification or individual identification.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "organisation_identification" : {
              "$ref" : "#/components/schemas/OrganisationIdentification"
            }
          },
          "required" : [ "organisation_identification" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "private_identification" : {
              "$ref" : "#/components/schemas/PersonIdentification"
            }
          },
          "required" : [ "private_identification" ]
        } ]
      },
      "PaymentCondition" : {
        "type" : "object",
        "description" : "Specifies the conditions for the execution of the payment.",
        "additionalProperties" : false,
        "properties" : {
          "amount_modification_allowed" : {
            "description" : "Indicates if the debtor is allowed to pay a different amount then the requested amount.",
            "type" : "boolean"
          },
          "early_payment_allowed" : {
            "description" : "Indicates if the debtor is allowed to pay before the requested execution date.",
            "type" : "boolean"
          },
          "delay_penalty" : {
            "description" : "Penalty to be applied for a delayed payment, that is when the payment is made after the requested execution date.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 140
          },
          "immediate_payment_rebate" : {
            "$ref" : "#/components/schemas/AmountOrRateChoice"
          },
          "guaranteed_payment_requested" : {
            "description" : "Indicates if a payment guarantee is requested, assuming a payment guarantee contract exists between the different actors.",
            "type" : "boolean"
          }
        },
        "required" : [ "amount_modification_allowed", "early_payment_allowed", "guaranteed_payment_requested" ]
      },
      "PaymentInitiationInstruction" : {
        "type" : "object",
        "description" : "Instruction to pay an amount of money to an ultimate beneficiary, on behalf of an originator. This instruction is the first of the series of instructions which may be used to execute a payment. It is normally sent by the initiating party to the debtor's agent.\n",
        "additionalProperties" : false,
        "properties" : {
          "uetr" : {
            "description" : "Unique end to end transaction reference of a payment. The type is Universally Unique Identifier (UUID) version 4, as described in IETC RFC 4122 \"Universally Unique Identifier (UUID) URN Namespace\".\n",
            "readOnly" : true,
            "type" : "string",
            "format" : "uuid"
          },
          "end_to_end_identification" : {
            "description" : "Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain. Usage: The end-to-end identification can be used for reconciliation or to link tasks relating to the transaction. It can be included in several messages related to the transaction. Usage: This is the former related reference.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "creation_date_time" : {
            "$ref" : "#/components/schemas/ISODateTime"
          },
          "payment_instructionlifecycle_status" : {
            "type" : "string",
            "description" : "Specifies the state of a Payment Instruction in its processing cycle.\n\n*`ACCC`-Settlement on the creditor's account has been completed.\n*`ACCP`-Preceding check of technical validation was successful. Customer profile check was also successful.\n*`ACSC`-Settlement has been completed.\n*`ACSP`-All preceding checks such as technical validation and customer profile were successful and therefore the payment initiation has been accepted for execution.\n*`ACTC`-Authentication and syntactical and semantical validation are successful\n*`ACWC`-Instruction is accepted but a change will be made, such as date or remittance not sent.\n*`ACWP`-Payment instruction included in the credit transfer is accepted without being posted to the creditor customer’s account.\n*`PDNG`-Payment initiation is pending. Further checks and status update will be performed.\n*`RCVD`-Payment initiation has been received by the receiving agent.\n*`RJCT`-Payment initiation has been rejected.\n",
            "readOnly" : true,
            "enum" : [ "ACCC", "ACCP", "ACSC", "ACSP", "ACTC", "ACWC", "ACWP", "PDNG", "RCVD", "RJCT" ]
          },
          "status_reason" : {
            "readOnly" : true,
            "$ref" : "#/components/schemas/ExternalStatusReasonCode"
          },
          "payment_method" : {
            "description" : "Specifies the means of payment that will be used to move the amount of money.",
            "type" : "string",
            "enum" : [ "TRF" ]
          },
          "instruction_priority" : {
            "description" : "Indicator of the urgency or order of importance that the instructing party would like the instructed party to apply to the processing of the instruction.\n\nSpecifies the priority level of an event.\n*`HIGH`-Priority level is high.\n*`NORM`-Priority level is normal.\n",
            "type" : "string",
            "enum" : [ "HIGH", "NORM" ]
          },
          "service_level" : {
            "x-MXComponent" : "ExternalServiceLevel1Code",
            "description" : "Agreement under which or rules under which the transaction should be processed.",
            "type" : "array",
            "maxItems" : 3,
            "uniqueItems" : true,
            "items" : {
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 4
            }
          },
          "local_instrument" : {
            "$ref" : "#/components/schemas/CodeOrProprietaryChoice"
          },
          "category_purpose" : {
            "x-MXComponent" : "ExternalCategoryPurpose1Code",
            "description" : "Specifies the high level purpose of the instruction based on a set of pre-defined categories.  Usage: This is used by the initiating party to provide information concerning the processing of the payment. It is likely to trigger special processing by any of the agents involved in the payment chain.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "requested_execution_date" : {
            "description" : "Date at which the initiating party requests the clearing agent to process the payment.  \nUsage: This is the date on which the debtor''s account is to be debited. If payment by cheque, the date when the cheque must be generated by the bank.\n",
            "oneOf" : [ {
              "$ref" : "#/components/schemas/ISODateTime"
            }, {
              "$ref" : "#/components/schemas/ISODate"
            } ]
          },
          "ultimate_debtor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "initiating_party" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "debtor_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "debtor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "debtor_agent" : {
            "$ref" : "#/components/schemas/FinancialInstitutionIdentification"
          },
          "charge_bearer" : {
            "$ref" : "#/components/schemas/ChargeBearerTypeCode"
          },
          "amount" : {
            "$ref" : "#/components/schemas/AmountTypeChoice"
          },
          "exchange_rate_information" : {
            "$ref" : "#/components/schemas/ExchangeRate"
          },
          "creditor_agent" : {
            "$ref" : "#/components/schemas/FinancialInstitutionIdentification"
          },
          "creditor_agent_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "creditor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "creditor_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "ultimate_creditor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "purpose" : {
            "x-MXComponent" : "ExternalPurpose1Code",
            "description" : "Underlying reason for the payment transaction. Usage: Purpose is used by the end-customers, that is initiating party, (ultimate) debtor, (ultimate) creditor to provide information concerning the nature of the payment. Purpose is a content element, which is not used for processing by any of the agents involved in the payment chain.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "regulatory_reporting" : {
            "type" : "array",
            "maxItems" : 10,
            "description" : "Information needed due to regulatory and statutory requirements.",
            "items" : {
              "$ref" : "#/components/schemas/RegulatoryReporting"
            }
          },
          "related_remittance_information" : {
            "$ref" : "#/components/schemas/RemittanceDeliveryMethod"
          },
          "remittance_information" : {
            "$ref" : "#/components/schemas/RemittanceInformationChoice"
          }
        },
        "required" : [ "end_to_end_identification", "creation_date_time", "payment_method", "requested_execution_date", "debtor_account", "debtor", "debtor_agent", "amount", "creditor_account" ]
      },
      "PaymentInitiationInstructionSummary" : {
        "type" : "object",
        "description" : "Instruction to pay an amount of money to an ultimate beneficiary, on behalf of an originator. This instruction is the first of the series of instructions which may be used to execute a payment. It is normally sent by the initiating party to debtor's agent.",
        "additionalProperties" : false,
        "properties" : {
          "uetr" : {
            "description" : "Unique end to end transaction reference of a payment. The type is Universally Unique IDentifier (UUID) version 4, as described in IETC RFC 4122 \"Universally Unique IDentifier (UUID) URN Namespace\".\n",
            "readOnly" : true,
            "type" : "string",
            "format" : "uuid"
          },
          "end_to_end_identification" : {
            "description" : "Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain. \n\nUsage: The End-to-End ID is intended as a unique identifier exchanged between the debtor and creditor. The end-to-end identification can be used for reconciliation or to link tasks relating to the transaction. \n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "creation_date_time" : {
            "$ref" : "#/components/schemas/ISODateTime"
          },
          "payment_instructionlifecycle_status" : {
            "type" : "string",
            "description" : "Specifies the state of a Payment Instruction in its processing cycle.\n\n*`ACCC`-Settlement on the creditor's account has been completed.\n*`ACCP`-Preceding check of technical validation was successful. Customer profile check was also successful.\n*`ACSC`-Settlement has been completed.\n*`ACSP`-All preceding checks such as technical validation and customer profile were successful and therefore the payment initiation has been accepted for execution.\n*`ACTC`-Authentication and syntactical and semantical validation are successful\n*`ACWC`-Instruction is accepted but a change will be made, such as date or remittance not sent.\n*`ACWP`-Payment instruction included in the credit transfer is accepted without being posted to the creditor customer’s account.\n*`PDNG`-Payment initiation is pending. Further checks and status update will be performed.\n*`RCVD`-Payment initiation has been received by the receiving agent.\n*`RJCT`-Payment initiation has been rejected.",
            "readOnly" : true,
            "enum" : [ "ACCC", "ACCP", "ACSC", "ACSP", "ACTC", "ACWC", "ACWP", "PDNG", "RCVD", "RJCT" ]
          },
          "payment_method" : {
            "description" : "Specifies the means of payment that will be used to move the amount of money.",
            "type" : "string",
            "enum" : [ "TRF" ]
          },
          "instruction_priority" : {
            "description" : "Indicator of the urgency or order of importance that the instructing party would like the instructed party to apply to the processing of the instruction.\n\nSpecifies the priority level of an event.\n*`HIGH`-Priority level is high.\n*`NORM`-Priority level is normal.\n",
            "type" : "string",
            "enum" : [ "HIGH", "NORM" ]
          },
          "service_level" : {
            "x-MXComponent" : "ExternalServiceLevelCode",
            "description" : "Agreement under which or rules under which the transaction should be processed.",
            "type" : "array",
            "maxItems" : 3,
            "items" : {
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 4
            }
          },
          "local_instrument" : {
            "$ref" : "#/components/schemas/CodeOrProprietaryChoice"
          },
          "category_purpose" : {
            "x-MXComponent" : "ExternalCategoryPurposeCode",
            "description" : "Specifies the high level purpose of the instruction based on a set of pre-defined categories.  Usage: This is used by the initiating party to provide information concerning the processing of the payment. It is likely to trigger special processing by any of the agents involved in the payment chain.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          },
          "requested_execution_date" : {
            "description" : "Date at which the initiating party requests the clearing agent to process the payment.  \nUsage: This is the date on which the debtor''s account is to be debited. If payment by cheque, the date when the cheque must be generated by the bank.\n",
            "oneOf" : [ {
              "$ref" : "#/components/schemas/ISODateTime"
            }, {
              "$ref" : "#/components/schemas/ISODate"
            } ]
          },
          "initiating_party" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "debtor_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "debtor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "debtor_agent" : {
            "$ref" : "#/components/schemas/FinancialInstitutionIdentification"
          },
          "amount" : {
            "$ref" : "#/components/schemas/AmountTypeChoice"
          },
          "creditor_agent" : {
            "$ref" : "#/components/schemas/FinancialInstitutionIdentification"
          },
          "creditor_agent_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "creditor" : {
            "$ref" : "#/components/schemas/PartyIdentification"
          },
          "creditor_account" : {
            "$ref" : "#/components/schemas/CashAccount"
          },
          "purpose" : {
            "x-MXComponent" : "ExternalPurposeCode",
            "description" : "Underlying reason for the payment transaction. Usage: Purpose is used by the end-customers, that is initiating party, (ultimate) debtor, (ultimate) creditor to provide information concerning the nature of the payment. Purpose is a content element, which is not used for processing by any of the agents involved in the payment chain.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 4
          }
        },
        "required" : [ "end_to_end_identification", "payment_method", "requested_execution_date", "debtor_account", "debtor", "debtor_agent", "amount", "creditor_account" ]
      },
      "PercentageRate" : {
        "type" : "string",
        "description" : "Rate expressed as a percentage, that is, in hundredths, for example, 0.7 is 7/10 of a percent, and 7.0 is 7%.",
        "maxLength" : 12
      },
      "PersonIdentification" : {
        "type" : "object",
        "description" : "Unique and unambiguous way to identify a person.",
        "additionalProperties" : false,
        "properties" : {
          "date_and_place_of_birth" : {
            "$ref" : "#/components/schemas/DateAndPlaceOfBirth"
          },
          "other" : {
            "type" : "array",
            "maxItems" : 2,
            "items" : {
              "$ref" : "#/components/schemas/GenericPersonIdentification"
            }
          }
        }
      },
      "PersonIdentificationSchemeNameChoice" : {
        "type" : "object",
        "description" : "Sets of elements to identify a name of the identification scheme.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "code" : {
              "x-MXComponent" : "ExternalPersonIdentification1Code",
              "description" : "Specifies the external person identification scheme name code in the format of character string with a maximum length of 4 characters. The list of valid codes is an external code list published separately.External code sets can be downloaded from www.iso20022.org.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 4
            }
          },
          "required" : [ "code" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "proprietary" : {
              "description" : "Name of the identification scheme, in a free text form.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 35
            }
          },
          "required" : [ "proprietary" ]
        } ]
      },
      "PostalAddress" : {
        "type" : "object",
        "description" : "Information that locates and identifies a specific address.",
        "additionalProperties" : false,
        "required" : [ "town_name", "country" ],
        "properties" : {
          "department" : {
            "description" : "Identification of a division of a large organisation or building.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 70
          },
          "sub_department" : {
            "description" : "Identification of a sub-division of a large organisation or building.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 70
          },
          "street_name" : {
            "description" : "Name of a street or thoroughfare.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 70
          },
          "building_number" : {
            "description" : "Number that identifies the position of a building on a street.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16
          },
          "building_name" : {
            "description" : "Name of the building or house.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "floor" : {
            "description" : "Floor or storey within a building.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 70
          },
          "post_box" : {
            "description" : "Numbered box in a post office, assigned to a person or organisation, where letters are kept until called for.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16
          },
          "room" : {
            "description" : "Building room number.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 70
          },
          "post_code" : {
            "description" : "Identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 16
          },
          "town_name" : {
            "description" : "Name of a built-up area, with defined boundaries, and a local government.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "town_location_name" : {
            "description" : "Specific location name within the town.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "district_name" : {
            "description" : "Identifies a subdivision within a country sub-division.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "country_sub_division" : {
            "description" : "Identifies a subdivision of a country such as state, region, county.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "country" : {
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
            "description" : "Nation with its own government.",
            "type" : "string",
            "minLength" : 2,
            "maxLength" : 2,
            "pattern" : "^[A-Z]{2,2}$"
          }
        }
      },
      "PostalAddressChoice" : {
        "type" : "object",
        "description" : "Postal Address Structured or Unstructured",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "structured" : {
              "$ref" : "#/components/schemas/PostalAddress"
            }
          },
          "required" : [ "structured" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "unstructured" : {
              "$ref" : "#/components/schemas/PostalAddressUnstructured"
            }
          },
          "required" : [ "unstructured" ]
        } ]
      },
      "PostalAddressUnstructured" : {
        "type" : "object",
        "description" : "Information that locates and identifies a specific address.",
        "additionalProperties" : false,
        "required" : [ "address_line", "country" ],
        "properties" : {
          "address_line" : {
            "description" : "Information that locates and identifies a specific address, as defined by postal services, presented in free format text.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 105
          },
          "country" : {
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
            "description" : "Nation with its own government.",
            "type" : "string",
            "minLength" : 2,
            "maxLength" : 2,
            "pattern" : "^[A-Z]{2,2}$"
          }
        }
      },
      "RegulatoryAuthority" : {
        "type" : "object",
        "description" : "Entity requiring the regulatory reporting information.",
        "additionalProperties" : false,
        "properties" : {
          "name" : {
            "description" : "Name of the entity requiring the regulatory reporting information.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 140
          },
          "country" : {
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
            "description" : "Country of the entity that requires the regulatory reporting information.",
            "type" : "string",
            "pattern" : "^[A-Z]{2,2}$"
          }
        }
      },
      "RegulatoryReporting" : {
        "type" : "object",
        "description" : "Information needed due to regulatory and/or statutory requirements.",
        "additionalProperties" : false,
        "properties" : {
          "debit_credit_reporting_indicator" : {
            "$ref" : "#/components/schemas/RegulatoryReportingTypeCode"
          },
          "authority" : {
            "$ref" : "#/components/schemas/RegulatoryAuthority"
          },
          "details" : {
            "type" : "array",
            "items" : {
              "$ref" : "#/components/schemas/StructuredRegulatoryReporting"
            }
          }
        }
      },
      "RegulatoryReportingTypeCode" : {
        "x-MXComponent" : "RegulatoryReportingType1Code",
        "type" : "string",
        "description" : "Identifies whether the regulatory reporting information applies to the debit side, to the credit side or to both debit and credit sides of the transaction.\n*`CRED`-Regulatory information applies to the credit side.\n*`DEBT`-Regulatory information applies to the debit side.\n*`BOTH`-Regulatory information applies to both credit and debit sides.\n",
        "enum" : [ "CRED", "DEBT", "BOTH" ]
      },
      "RemittanceDeliveryMethod" : {
        "type" : "object",
        "description" : "Provides information on the remittance advice.",
        "additionalProperties" : false,
        "properties" : {
          "remittance_identification" : {
            "description" : "Unique identification, as assigned by the initiating party, to unambiguously identify the remittance information sent separately from the payment instruction, such as a remittance advice.",
            "type" : "string",
            "format" : "uuid"
          },
          "remittance_location_details" : {
            "type" : "array",
            "description" : "Set of elements used to provide information on the location and/or delivery of the remittance information.",
            "items" : {
              "$ref" : "#/components/schemas/RemittanceLocationDetails"
            }
          }
        }
      },
      "RemittanceInformation" : {
        "type" : "object",
        "description" : "Information supplied to enable the matching of an entry with the items that the transfer is intended to settle, such as commercial invoices in an accounts' receivable system.",
        "additionalProperties" : false,
        "properties" : {
          "type" : {
            "$ref" : "#/components/schemas/DocumentTypeCode"
          },
          "number" : {
            "description" : "Unique and unambiguous identification of the referred document.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "related_date" : {
            "$ref" : "#/components/schemas/ISODate"
          },
          "creditor_reference_type" : {
            "$ref" : "#/components/schemas/CreditorReferenceDocumentTypeCode"
          },
          "creditor_reference" : {
            "description" : "Unique reference, as assigned by the creditor, to unambiguously refer to the payment transaction.\n\nUsage: If available, the initiating party should provide this reference in the structured remittance information, to enable reconciliation by the creditor upon receipt of the amount of money.\n\nIf the business context requires the use of a creditor reference or a payment remit identification, and only one identifier can be passed through the end-to-end chain, the creditor's reference or payment remittance identification should be quoted in the end_to_end transaction identification.\n",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          }
        }
      },
      "RemittanceInformationChoice" : {
        "type" : "object",
        "description" : "Specifies the choice of remittance information provided.",
        "additionalProperties" : true,
        "oneOf" : [ {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "unstructured" : {
              "description" : "Information supplied to enable the matching/reconciliation of an entry with the items that the payment is intended to settle, such as commercial invoices in an accounts' receivable system, in an unstructured form.",
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 140
            }
          },
          "required" : [ "unstructured" ]
        }, {
          "type" : "object",
          "additionalProperties" : false,
          "properties" : {
            "structured" : {
              "type" : "array",
              "description" : "Information supplied to enable the matching of an entry with the items that the transfer is intended to settle, such as commercial invoices in an accounts' receivable system.  Usage - Structured Remittance can be repeated, however the total business data for all occurrences must not exceed 9,000 characters which excludes the tag names, and is irrespective of bytes per character to maintain interoperability..\n",
              "items" : {
                "$ref" : "#/components/schemas/RemittanceInformation"
              }
            }
          },
          "required" : [ "structured" ]
        } ]
      },
      "RemittanceLocationDetails" : {
        "type" : "object",
        "description" : "Provides information on the remittance advice.",
        "additionalProperties" : false,
        "properties" : {
          "method" : {
            "$ref" : "#/components/schemas/RemittanceLocationMethodCode"
          },
          "electronic_address" : {
            "description" : "Electronic address to which an agent is to send the remittance information.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 2048
          }
        },
        "required" : [ "method" ]
      },
      "RemittanceLocationMethodCode" : {
        "type" : "string",
        "description" : "Specifies the method used to deliver the remittance advice information.\n*`FAXI`-Remittance advice information must be faxed.\n*`EDIC`-Remittance advice information must be sent through Electronic Data Interchange (EDI).\n*`URID`-Remittance advice information needs to be sent to a Uniform Resource Identifier (URI). URI is a compact string of characters that uniquely identify an abstract or physical resource. URI's are the super-set of identifiers, such as URLs, email addresses, ftp sites, etc, and as such, provide the syntax for all of the identification schemes.\n*`EMAL`-Remittance advice information must be sent through e-mail.\n*`POST`-Remittance advice information must be sent through postal services.\n*`SMSM`-Remittance advice information must be sent through by phone as a short message service (SMS).",
        "enum" : [ "FAXI", "EDIC", "URID", "EMAL", "POST", "SMSM" ]
      },
      "SequenceTypeCode" : {
        "type" : "string",
        "description" : "Specifies the type of the current transaction that belongs to a sequence of transactions.\n*`FRST`-First collection of a series of direct debit instructions.\n*`RCUR`-Direct debit instruction where the debtor's authorisation is used for regular direct debit transactions initiated by the creditor.\n*`FNAL`-Final collection of a series of direct debit instructions.\n*`OOFF`-Direct debit instruction where the debtor's authorisation is used to initiate one single direct debit transaction.\n*`RPRE`-Collection used to re-present previously reversed or returned direct debit transactions.",
        "enum" : [ "FRST", "RCUR", "FNAL", "OOFF", "RPRE" ]
      },
      "StructuredRegulatoryReporting" : {
        "type" : "object",
        "description" : "Information needed due to regulatory and statutory requirements.",
        "additionalProperties" : false,
        "properties" : {
          "type" : {
            "description" : "Specifies the type of the information supplied in the regulatory reporting details.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 35
          },
          "date" : {
            "$ref" : "#/components/schemas/ISODate"
          },
          "country" : {
            "x-Validation" : true,
            "x-ValidationType" : "Algorithmic, ReferenceData",
            "x-Error" : "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal",
            "description" : "Country related to the specified type of regulatory reporting details.",
            "type" : "string",
            "pattern" : "^[A-Z]{2,2}$"
          },
          "code" : {
            "description" : "Specifies the nature, purpose, and reason for the transaction to be reported for regulatory and statutory requirements in a coded form.",
            "type" : "string",
            "minLength" : 1,
            "maxLength" : 10
          },
          "amount" : {
            "$ref" : "#/components/schemas/CurrencyAmount"
          },
          "information" : {
            "type" : "array",
            "description" : "Additional details that cater for specific domestic regulatory requirements.",
            "items" : {
              "type" : "string",
              "minLength" : 1,
              "maxLength" : 135
            }
          }
        }
      },
      "Link" : {
        "type" : "object",
        "readOnly" : true,
        "description" : "Contains a generic structure to support hyperlinking (REST level 3).",
        "additionalProperties" : false,
        "required" : [ "href" ],
        "properties" : {
          "href" : {
            "description" : "Specifies the link as a url. The href member identifies the target IRI location of the resource.",
            "type" : "string",
            "maxLength" : 256
          },
          "rel" : {
            "description" : "Specifies the operation. The value of this property MUST be a string. This property is required except self. The self reference contains the URI of the same resource.",
            "type" : "string",
            "maxLength" : 35
          },
          "type" : {
            "description" : "The value containing the HTTP verb used for the URL. If the type element is not included then the link MUST be available using GET.",
            "type" : "string",
            "maxLength" : 35
          }
        }
      },
      "Errors" : {
        "description" : "Container to return multiple ErrorMessage object. Collection of error can be useful when API needs to return multiple errors, for example validation errors. When the response code conveys application-specific functional semantics and consumer can parse machine-readable error code, this block can be useful. The error response must contain at least one error object.",
        "type" : "array",
        "items" : {
          "$ref" : "#/components/schemas/ErrorMessage"
        }
      },
      "ErrorMessage" : {
        "description" : "Custom error schema to support detailed error message.",
        "type" : "object",
        "readOnly" : true,
        "additionalProperties" : false,
[...]
